Skip to main content
POST
/
networks
/
custom
/
capstable
Find Custom Caps (Advanced)
curl --request POST \
  --url https://api.eflow.team/v1/networks/custom/capstable \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "search_terms": [],
  "filters": {}
}
'
{
  "custom_cap_settings": [
    {
      "network_custom_cap_setting_id": 1,
      "network_id": 1,
      "network_affiliate_id": 28,
      "network_offer_id": 33,
      "name": "<string>",
      "daily_conversion_cap": 123,
      "weekly_conversion_cap": 123,
      "monthly_conversion_cap": 123,
      "global_conversion_cap": 123,
      "daily_payout_cap": 123,
      "weekly_payout_cap": 123,
      "monthly_payout_cap": 123,
      "global_payout_cap": 123,
      "daily_click_cap": 123,
      "weekly_click_cap": 123,
      "monthly_click_cap": 123,
      "global_click_cap": 123,
      "daily_revenue_cap": 123,
      "weekly_revenue_cap": 123,
      "monthly_revenue_cap": 123,
      "global_revenue_cap": 123,
      "time_created": 1734455015,
      "time_saved": 1734455015,
      "is_soft_cap": true,
      "relationship": {
        "affiliate": {
          "network_affiliate_id": 123,
          "network_id": 123,
          "name": "<string>",
          "account_status": "<string>"
        },
        "offer": {
          "network_offer_id": 123,
          "network_id": 123,
          "network_advertiser_id": 123,
          "network_offer_group_id": 123,
          "name": "<string>",
          "offer_status": "<string>",
          "network_tracking_domain_id": 123,
          "visibility": "<string>",
          "currency_id": "<string>"
        }
      }
    }
  ],
  "paging": {
    "page": 123,
    "page_size": 123,
    "total_count": 123
  }
}
Retrieve a paginated list of custom cap settings. Supports search filters and pagination.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Query Parameters

page
integer
default:1

Page number (1-based).

page_size
integer
default:50

Number of results per page.

relationship
enum<string>

Include related data. Use affiliate for affiliate details, offer for offer details, or all for both. Repeat the parameter for multiple values.

Available options:
affiliate,
offer,
all

Body

application/json
search_terms
object[]

Text search filters.

filters
object

Structured filters to narrow results.

Response

200 - application/json

OK

custom_cap_settings
object[]
paging
object